local mod = ...



-- Assets -------------------------------------------------------------------------------------
mod:registerAssetId("models/Dorm1.fbx/Prefab/DormPart", "PREFAB_DORM_BLOCK")
mod:registerAssetId("models/Dorm1.fbx/Prefab/DormPart3", "PREFAB_DORM_BLOCK3")
mod:registerAssetId("models/Dorm1.fbx/Prefab/DormPart6", "PREFAB_DORM_BLOCK6")



-- Allow villagers to live in Soldier Dorms -------------------------------------------------------------------------------------
mod:override({
    Id = "NEED_HOUSE_LEVEL_1",
    NeedTypeList = {
        "HOUSE_SOLDIER",
    }
})

mod:override({
    Id = "NEED_HOUSE_LEVEL_2",
    NeedTypeList = {
        "HOUSE_SOLDIER",
    }
})



-- Building Part: Free Dorm Block -------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_DORM_BLOCK",
	Name = "BUILDING_PART_DORM_BLOCK_NAME",
    Description = "BUILDING_PART_DORM_BLOCK_DESC",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DORM_BLOCK"
    }, 
	BuildingZone = { 
	},
    AssetBuildingFunction = "BUILDING_FUNCTION_ASSIGNABLE_KEEP",
    Capacity = 6,
    IsMovableWhenBuilt = true
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_DORM_BLOCK3",
	Name = "BUILDING_PART_DORM_BLOCK3_NAME",
    Description = "BUILDING_PART_DORM_BLOCK3_DESC",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DORM_BLOCK3"
    }, 
	BuildingZone = { 
	},
    AssetBuildingFunction = "BUILDING_FUNCTION_ASSIGNABLE_KEEP",
    Capacity = 3,
    IsMovableWhenBuilt = true
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_DORM_BLOCK6",
	Name = "BUILDING_PART_DORM_BLOCK6_NAME",
    Description = "BUILDING_PART_DORM_BLOCK6_DESC",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DORM_BLOCK6"
    }, 
	BuildingZone = { 
	},
    AssetBuildingFunction = "BUILDING_FUNCTION_ASSIGNABLE_KEEP",
    Capacity = 6,
    IsMovableWhenBuilt = true
})



-- Remove minimum requirements for Keep building, add dorm block -------------------------------------------------------------------------------------
mod:override({
    Id = "MONUMENT_WOODEN_KEEP",
    RequiredPartList = {},
	BuildingPartSetList = {
        Action = "APPEND",
		{
			Name = "EXTENSIONS",
			BuildingPartList = { 
				-- "BUILDING_PART_DORM_BLOCK",
				"BUILDING_PART_DORM_BLOCK3",
				"BUILDING_PART_DORM_BLOCK6",
			}
        }, 
    }
})


